NX Open C++ Reference Guide
|
Represents a @link CAE::MeshFromBoundaryBuilder CAE::MeshFromBoundaryBuilder@endlink <br> To create a new instance of this class, use @link CAE::NodeElementManager::CreateMeshFromBoundaryBuilder CAE::NodeElementManager::CreateMeshFromBoundaryBuilder @endlink <br>
Created in NX9.0.0.
More...
Public Types | |
enum | LoopOption { LoopOptionSourceTarget, LoopOptionClosedLoop } |
Type of loop. More... | |
enum | RailOption { RailOptionUniform, RailOptionTransition } |
Type of rail. More... | |
Public Member Functions | |
NXString | CollectorName () |
Returns the mesh collector name Created in NX9.0.0. | |
NXOpen::CAE::ElementTypeBuilder * | ElementType () |
Returns the element type Created in NX9.0.0. | |
int | Layers () |
Returns the layers Created in NX9.0.0. | |
NXOpen::CAE::MeshFromBoundaryBuilder::LoopOption | LoopType () |
Returns the type of loop Created in NX9.0.0. | |
int | NumElementsOnRail1 () |
Returns the number of elements along rail1 Created in NX9.0.0. | |
int | NumElementsOnRail2 () |
Returns the number of elements along rail2 Created in NX9.0.0. | |
NXOpen::CAE::MeshFromBoundaryBuilder::RailOption | RailType () |
Returns the type of rail mesh Created in NX9.0.0. | |
void | SetCollectorName (const NXString &collectorName) |
Sets the mesh collector name Created in NX9.0.0. | |
void | SetCollectorName (const char *collectorName) |
Sets the mesh collector name Created in NX9.0.0. | |
void | SetLayers (int layers) |
Sets the layers Created in NX9.0.0. | |
void | SetLoopType (NXOpen::CAE::MeshFromBoundaryBuilder::LoopOption loopoption) |
Sets the type of loop Created in NX9.0.0. | |
void | SetNumElementsOnRail1 (int layers) |
Sets the number of elements along rail1 Created in NX9.0.0. | |
void | SetNumElementsOnRail2 (int layers) |
Sets the number of elements along rail2 Created in NX9.0.0. | |
void | SetRailType (NXOpen::CAE::MeshFromBoundaryBuilder::RailOption option) |
Sets the type of rail mesh Created in NX9.0.0. | |
void | SetSourceElementEdgePathMethod (NXOpen::CAE::ElemEdgePathMethod *sourceElementEdgePathMethod) |
Set the source element path of the selection Created in NX9.0.0. | |
void | SetTargetElementEdgePathMethod (NXOpen::CAE::ElemEdgePathMethod *targetElementEdgePathMethod) |
Set the target elemnt path of the selection Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link CAE::MeshFromBoundaryBuilder CAE::MeshFromBoundaryBuilder@endlink <br> To create a new instance of this class, use @link CAE::NodeElementManager::CreateMeshFromBoundaryBuilder CAE::NodeElementManager::CreateMeshFromBoundaryBuilder @endlink <br>
Created in NX9.0.0.
NXString NXOpen::CAE::MeshFromBoundaryBuilder::CollectorName | ( | ) |
Returns the mesh collector name
Created in NX9.0.0.
License requirements : None
NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::MeshFromBoundaryBuilder::ElementType | ( | ) |
Returns the element type
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
int NXOpen::CAE::MeshFromBoundaryBuilder::Layers | ( | ) |
Returns the layers
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::MeshFromBoundaryBuilder::LoopOption NXOpen::CAE::MeshFromBoundaryBuilder::LoopType | ( | ) |
Returns the type of loop
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
int NXOpen::CAE::MeshFromBoundaryBuilder::NumElementsOnRail1 | ( | ) |
Returns the number of elements along rail1
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
int NXOpen::CAE::MeshFromBoundaryBuilder::NumElementsOnRail2 | ( | ) |
Returns the number of elements along rail2
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::MeshFromBoundaryBuilder::RailOption NXOpen::CAE::MeshFromBoundaryBuilder::RailType | ( | ) |
Returns the type of rail mesh
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
void NXOpen::CAE::MeshFromBoundaryBuilder::SetCollectorName | ( | const NXString & | collectorName | ) |
Sets the mesh collector name
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::MeshFromBoundaryBuilder::SetCollectorName | ( | const char * | collectorName | ) |
Sets the mesh collector name
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::MeshFromBoundaryBuilder::SetLayers | ( | int | layers | ) |
Sets the layers
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
layers | layers |
void NXOpen::CAE::MeshFromBoundaryBuilder::SetLoopType | ( | NXOpen::CAE::MeshFromBoundaryBuilder::LoopOption | loopoption | ) |
Sets the type of loop
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
loopoption | loopoption |
void NXOpen::CAE::MeshFromBoundaryBuilder::SetNumElementsOnRail1 | ( | int | layers | ) |
Sets the number of elements along rail1
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
layers | layers |
void NXOpen::CAE::MeshFromBoundaryBuilder::SetNumElementsOnRail2 | ( | int | layers | ) |
Sets the number of elements along rail2
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
layers | layers |
void NXOpen::CAE::MeshFromBoundaryBuilder::SetRailType | ( | NXOpen::CAE::MeshFromBoundaryBuilder::RailOption | option | ) |
Sets the type of rail mesh
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
option | option |
void NXOpen::CAE::MeshFromBoundaryBuilder::SetSourceElementEdgePathMethod | ( | NXOpen::CAE::ElemEdgePathMethod * | sourceElementEdgePathMethod | ) |
Set the source element path of the selection
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
sourceElementEdgePathMethod | sourceelementedgepathmethod |
void NXOpen::CAE::MeshFromBoundaryBuilder::SetTargetElementEdgePathMethod | ( | NXOpen::CAE::ElemEdgePathMethod * | targetElementEdgePathMethod | ) |
Set the target elemnt path of the selection
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
targetElementEdgePathMethod | targetelementedgepathmethod |